<?php

namespace lib\Controllers\DBMS\Client;

use lib\Services\ClientService;
use lib\Controllers\DBMS\DBMSController;

abstract class ClientController extends DBMSController
{

    private ?ClientService $_clientService = null;

    public function __construct()
    {
        parent::__construct();
        $this->getView()->setPath('client');
    } //
    final public function getClientService(): ClientService
    {
        if ($this->_clientService === null) {
            $this->_clientService = new ClientService();
        }
        return $this->_clientService;
    }
} //Class
